/******************************************************************************
 *{@C
 *      Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D
 *      Filename:       tcl3dTypemaps.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG file defining typemaps needed for OpenGL wrapping.
 *
 *****************************************************************************/

%typemap(in) const double * (double *tmp) {
    if ((tmp = GetDoubleList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const double * (double *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const float * (float *tmp) {
    if ((tmp = GetFloatList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const float * (float *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const GLint * (GLint *tmp) {
    if ((tmp = GetIntList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const GLint * (GLint *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const GLuint * (GLuint *tmp) {
    if ((tmp = GetUIntList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const GLuint * (GLuint *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const GLshort * (GLshort *tmp) {
    if ((tmp = GetShortList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const GLshort * (GLshort *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const GLushort * (GLushort *tmp) {
    if ((tmp = GetUShortList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const GLushort * (GLushort *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const GLbyte * (GLbyte *tmp) {
    if ((tmp = GetByteList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const GLbyte * (GLbyte *tmp) {
    if ($1) { 
        free ($1);
    }
}

%typemap(in) const GLubyte * (GLubyte *tmp) {
    if ((tmp = GetUByteList (interp, $input)) == NULL) {
        return TCL_ERROR;
    } else {
        $1 = tmp;
    }
}

%typemap(freearg) const GLubyte * (GLubyte *tmp) {
    if ($1) { 
        free ($1);
    }
}
