/******************************************************************************
 *{@C
 *      Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D -> tcl3dOglExt
 *      Filename:       glext.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG module for wrapping the OpenGL extension library
 *                      contained in file glext.h.
 *                      glext.h is part of OglExt, a free OpenGL extension 
 *                      library from the research center caesar.
 *                      See directory OglExt for more information.
 *
 *****************************************************************************/

%module glext

%{
#if defined (WIN32)
#include <windows.h>
#include <wingdi.h>
#endif
#include "GL/gl.h"   
#define GL_GLEXT_PROTOTYPES
#include "glext.h"
%}

%include tcl3dDefines.i
#define GLvoid void

// The glexGetVersion is used for correct initialization of the OglExt library.
// It is used from the Tcl procedure tcl3dOglExtInit.
extern GLuint glexGetVersion();

%include "glext.h"

