#******************************************************************************
#
#       Copyright:      2005-2006 Paul Obermeier (obermeier@poSoft.de)
#
#                       See the file "Tcl3D_License.txt" for information on
#                       usage and redistribution of this file, and for a
#                       DISCLAIMER OF ALL WARRANTIES.
#
#       Module:         Tcl3D -> tcl3dUtil
#       Filename:       tcl3dCompat.tcl
#
#       Author:         Paul Obermeier
#
#       Description:    Tcl module with Tcl3D compatibility procedures.
#
#******************************************************************************

# The tcl3d version 0.1 has Vector and Photo commands without the tcl3d
# prefix. So, if we are running a script written for version 0.2 with
# tcl3d Version 0.1 (Vector command exist, but no tcl3dVector command),
# we rename all appropriate tcl3d* commands.

proc tcl3dCompat-0.1 {} {
    if { [info commands Vector] != "" && [info commands tcl3dVector] == "" } {
        rename ::Vector ::tcl3dVector
        rename ::VectorPrint ::tcl3dVectorPrint
        rename ::VectorFromList ::tcl3dVectorFromList
        rename ::VectorFromArgs ::tcl3dVectorFromArgs
        rename ::VectorFromString ::tcl3dVectorFromString
        rename ::VectorToString ::tcl3dVectorToString
        rename ::VectorToList ::tcl3dVectorToList
        rename ::CharToNum ::tcl3dCharToNum
        rename ::Photo2Vector ::tcl3dPhoto2Vector 
        rename ::Vector2Photo ::tcl3dVector2Photo
        rename ::PhotoChans ::tcl3dPhotoChans 
        rename ::drawBox ::tcl3dDrawBox
        rename ::doughnut ::tcl3dDoughnut
        rename ::dodecahedron ::tcl3dDodecahedron
        rename ::octahedron ::tcl3dOctahedron
        rename ::icosahedron ::tcl3dIcosahedron
        rename ::tetrahedron ::tcl3dTetrahedron
        rename ::teapot ::tcl3dTeapot
    }
}
